Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 199)
@@ -64,21 +64,21 @@
         public bool SelectAction(string AddSQLString, ref List<MaterialKindMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " MaterialKindCode, MaterialKindName, DisplayOrder, DeleteFlg";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM MaterialKindMaster";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" MaterialKindCode, MaterialKindName, DisplayOrder, DeleteFlg");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM MaterialKindMaster");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -92,7 +92,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -105,32 +105,32 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<MaterialKindMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 foreach (MaterialKindMaster work in data)
                 {
-                    strcmd = "INSERT INTO MaterialKindMaster";
+                    strcmd.Append("INSERT INTO MaterialKindMaster");
 
-                    strcmd += " VALUES (";
+                    strcmd.Append(" VALUES (");
 
-                    strcmd += string.Format("  {0}", work.MaterialKindCode.ToString());
-                    strcmd += string.Format(", '{0}'", work.MaterialKindName);
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                    strcmd.AppendFormat("  {0}", work.MaterialKindCode.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.MaterialKindName);
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", NOW()";
-                    strcmd += ", NOW()";
-                    strcmd += ")";
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(")");
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                    if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
                 }
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -143,29 +143,29 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, MaterialKindMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE MaterialKindMaster";
+                strcmd.Append("UPDATE MaterialKindMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" MaterialKindCode = {0}", data.MaterialKindCode.ToString());
-                strcmd += string.Format(",MaterialKindName = '{0}'", data.MaterialKindName);
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(" MaterialKindCode = {0}", data.MaterialKindCode.ToString());
+                strcmd.AppendFormat(",MaterialKindName = '{0}'", data.MaterialKindName);
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -180,20 +180,20 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "Update MaterialKindMaster Set DeleteFlg = 1,DisplayOrder = 999";
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append("Update MaterialKindMaster Set DeleteFlg = 1,DisplayOrder = 999");
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -237,10 +237,10 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int MaterialTypesCode)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where MaterialKindCode = {0}", MaterialTypesCode);
+                strWork.AppendFormat(" Where MaterialKindCode = {0}", MaterialTypesCode);
 
             }
             catch (Exception ex)
@@ -248,7 +248,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
             }
 
-            return strWork;
+            return strWork.ToString();
         }
 
         /// <summary>
@@ -260,16 +260,16 @@
         public int SelectMaxMaterialKindKeyCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(MaterialKindCode), 0) FROM MaterialKindMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(MaterialKindCode), 0) FROM MaterialKindMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -282,7 +282,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -298,21 +298,21 @@
         {
 
             //インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = string.Format("select * from MaterialKindMaster  where MaterialKindCode={0} for update", MaterialTypesCode);
+                strcmd.AppendFormat("select * from MaterialKindMaster  where MaterialKindCode={0} for update", MaterialTypesCode);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInputAuxiliary.cs	(revision 199)
@@ -1995,11 +1995,8 @@
                         // 中項目タブの計算（小項目）
                         if (wrkPage.Cotegory == CommonDefine.TabCotegory.Item)
                         {   // 割当会社を取得する
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value))
-                            {
-                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
-                                CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridItemColumn.SubConstractorName].Value);
-                            }
+                            Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+                            CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridItemColumn.SubConstractorName].Value);
                         }
                         // 中項目の計算
                         else if (wrkPage.Cotegory == CommonDefine.TabCotegory.Component)
@@ -2009,20 +2006,14 @@
                             if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.InputFlg].Value) != (int)CommonDefine.DirectInput.Input) continue;
 
                             // 割当会社を取得する
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.SubConstractorCode].Value))
-                            {
-                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
-                                CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridItemColumn.SubConstractorName].Value);
-                            }
+                            Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+                            CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridItemColumn.SubConstractorName].Value);
 
                             // 割当が無く経費だった場合
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value))
+                            if (Code == 0
+                                && CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value) == (int)CommonDefine.MyExpenses.Expenses)
                             {
-                                if (Code == 0
-                                    && CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value) == (int)CommonDefine.MyExpenses.Expenses)
-                                {
-                                    Code = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyExpense].Key;
-                                }
+                                Code = CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyExpense].Key;
                             }
                         }
                         // 大項目の計算
@@ -5862,8 +5853,7 @@
                         // 小項目タブ
                         if (wrkPage.Cotegory == CommonDefine.TabCotegory.Item)
                         {   // 割当会社を取得する
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value))
-                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+                            Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
                         }
                         // 中項目
                         else if (wrkPage.Cotegory == CommonDefine.TabCotegory.Component)
@@ -5873,17 +5863,13 @@
                             if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.InputFlg].Value) != (int)CommonDefine.DirectInput.Input) continue;
 
                             // 割当会社を取得する
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.SubConstractorCode].Value))
-                                Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
+                            Code = CommonMotions.cnvInt(wrkRow.Cells[(int)GridItemColumn.SubConstractorCode].Value);
 
                             // 割当が無く経費だった場合
-                            if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value))
+                            if (Code == 0
+                                && CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value) == (int)CommonDefine.MyExpenses.Expenses)
                             {
-                                if (Code == 0
-                                    && CommonMotions.cnvInt(wrkRow.Cells[(int)GridComponentColumn.ExpensesFlg].Value) == (int)CommonDefine.MyExpenses.Expenses)
-                                {
-                                    continue;
-                                }
+                                continue;
                             }
                         }
                         if (Code == 0) bAns = false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 199)
@@ -156,7 +156,7 @@
         private bool m_ParentEnd = false;
         // *-----* 共通処理設定 *-----*
 
-        private bool m_CloseingProcessOn = false;
+        private bool m_CloseingProcessOn = true;
         
         #endregion
 
@@ -290,7 +290,7 @@
                     }
                 }
                 // 前プロセスに戻る
-                ClsExcute.BackProcess();
+                if (m_CloseingProcessOn) ClsExcute.BackProcess();
 
             }
             finally
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 199)
@@ -139,7 +139,7 @@
         #endregion
         #endregion// *-----* 共通処理設定 *-----*
 
-        private bool m_CloseingProcessOn = false;
+        private bool m_CloseingProcessOn = true;
 
         #endregion
 
@@ -242,7 +242,7 @@
                 }
             }
             // 前プロセスに戻る
-            ClsExcute.BackProcess();
+            if (m_CloseingProcessOn) ClsExcute.BackProcess();
         }
         #endregion
 
